/// <summary> /// Create a RoofType from a user selected Element. /// </summary> /// <param name="RoofType"></param> /// <param name="isRevitOwned"></param> /// <returns></returns> internal static RoofType FromExisting(Autodesk.Revit.DB.RoofType RoofType, bool isRevitOwned) { return(new RoofType(RoofType) { IsRevitOwned = isRevitOwned }); }
/// <summary> /// Set the RoofType property, element id, and unique id /// </summary> /// <param name="RoofType"></param> private void InternalSetRoofType(Autodesk.Revit.DB.RoofType roofType) { this.InternalRoofType = roofType; this.InternalElementId = roofType.Id; this.InternalUniqueId = roofType.UniqueId; }
/// <summary> /// Initialize a RoofType element /// </summary> /// <param name="roofType"></param> private void InitRoofType(Autodesk.Revit.DB.RoofType roofType) { InternalSetRoofType(roofType); }
/// <summary> /// Private constructor for the Element /// </summary> /// <param name="roofType"></param> private RoofType(Autodesk.Revit.DB.RoofType roofType) { SafeInit(() => InitRoofType(roofType)); }